Jump to content

Recommended Posts

Transferred Turbulent license to Orbx sometime ago. It DOES show on my "Owned Products page." 

I have totally deleted P3d v4.5 and it was somewhat working in v5 (copied over during P3d v5 new install)... but still had some of the quirky issues from the original release. 

Decided to remove and reinstall after noticing the newer v1.1.0 ver.

 

It will NOT let me download into P3d v5.  (see error attached)

 

Set email for support... they advised me:

    "For technical support (i.e., any support that isn't related to your user account or purchasing issues), please use our support forum"

 

 

SO.... Can anyone smarter than me please let me know how I can get my local airport reinstalled in P3D v5... if I can't download it. I would be very grateful.

Orbix.png

Link to post
Share on other sites

Hello,

there are a number of products that have not yet been declared compatible with P3D v5.

KGPI is one of those, which is why you can only see P3D v4 on its product page.

When it appears in Orbx Central for P3D v5, you will be able to install it.

  • Like 1
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...